# DEPRECATED: SEE PEPPER PLUS PROJECTS
catalog:
  title: ROS Pepper Bring Up Package

templates:
- cmake-catkin
- base

variables:
  description: ROS Pepper Bring Up Package
  access: private

  repository: http://projects.cit-ec.uni-bielefeld.de/git/pepper.clf.robot.git
  scm.credentials: projects.cit-ec
  sub-directory: pepper_clf_bringup
  branches:
  - master

  extra-requires:
  - nature: catkin
    target: pepper-naoqi-driver-py
  - nature: catkin
    target: pepper-actuators-py
  - nature: catkin
    target: pepper-sensors-py
  - nature: catkin
    target: pepper-description
  - nature: catkin
    target: pepper-naoqi-pose-py
  extra-provides:
  - nature: catkin
    target: pepper-bringup
  platform-requires:
    ubuntu:
      xenial:
        packages:
        - ros-${ros}-desktop
        - ros-${ros}-teleop-twist-keyboard
        - ros-${ros}-moveit
        - ros-${ros}-joy-teleop
        - ros-${ros}-teleop-twist-joy
        - ros-${ros}-teleop-twist-keyboard
        - ros-${ros}-gmapping
        - ros-${ros}-slam-gmapping
        - ros-${ros}-teleop-twist-keyboard
        - ros-${ros}-move-base
        - ros-${ros}-map-server
        - ros-${ros}-amcl
        - ros-${ros}-dwa-local-planner
        - ros-${ros}-pepper-meshes
        - ros-${ros}-depthimage-to-laserscan
        - ros-${ros}-pointcloud-to-laserscan
        - ros-${ros}-naoqi-libqi
        - ros-${ros}-naoqi-libqicore
        - ros-${ros}-aruco-detect
        - ros-${ros}-naoqi-sensors-py
        - ros-${ros}-camera-info-manager

  cmake.options:
  - CATKIN_ENABLE_TESTING=OFF
  - '@{next-value|[]}'
